Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79574 - statically linked binary is stripped when building rpm
Summary: statically linked binary is stripped when building rpm
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm-build
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-13 16:45 UTC by Marius Andreiana
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-23 21:54:04 UTC


Attachments (Terms of Use)

Description Marius Andreiana 2002-12-13 16:45:14 UTC
I'm trying to make a rpm on RedHat 8.0 with race (
http://race.sourceforge.net/ ). I've downloaded the compiled version.

Everything goes fine, but the final rpm has a binary executable of 92
bytes instead of the original 800k. The original race executable is
statically-linked ( ldd says it's not dynamic ) and it seems that on
brp-strip-comment-note step it gets 'stripped'.

If I put another binary, dynamically linked, it works fine.

I asked on redhat mailing list how could I convince rpm to leave the executable
as it is, got no answer in a month, so I'm filling this.

thanks

Comment 1 Jeff Johnson 2002-12-23 21:54:04 UTC
You need to disable the stripping policies when building
your package:
    %define __spec_install_post :
will disable all post %install policies.


Note You need to log in before you can comment on or make changes to this bug.